PHPExcel_Writer

# Class: PHPExcel_Writer_CSV

Source Location: /PHPExcel/Writer/CSV.php

### Class Overview

PHPExcel_Writer_CSV

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Writer_IWriter

### Methods

- __construct
- getDelimiter
- getEnclosure
- getExcelCompatibility
- getLineEnding
- getPreCalculateFormulas
- getSheetIndex
- getUseBOM
- save
- setDelimiter
- setEnclosure
- setExcelCompatibility
- setLineEnding
- setPreCalculateFormulas
- setSheetIndex
- setUseBOM

### Class Details

[line 36]
PHPExcel_Writer_CSV

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 98]

`PHPExcel_Writer_CSV __construct( PHPExcel $phpExcel)`

Create a new PHPExcel_Writer_CSV

#### Tags:

access: | public

#### Parameters:

PHPExcel | $phpExcel | PHPExcel object

[ Top ]

### method getDelimiter [line 157]

`string getDelimiter( )`

Get delimiter

#### Tags:

access: | public

[ Top ]

### method getEnclosure [line 177]

`string getEnclosure( )`

Get enclosure

#### Tags:

access: | public

[ Top ]

### method getExcelCompatibility [line 240]

`boolean getExcelCompatibility( )`

Get whether the file should be saved with full Excel Compatibility

#### Tags:

access: | public

[ Top ]

### method getLineEnding [line 200]

`string getLineEnding( )`

Get line ending

#### Tags:

access: | public

[ Top ]

### method getPreCalculateFormulas [line 325]

`boolean getPreCalculateFormulas( )`

Get Pre-Calculate Formulas

#### Tags:

access: | public

[ Top ]

### method getSheetIndex [line 261]

`int getSheetIndex( )`

Get sheet index

#### Tags:

access: | public

[ Top ]

### method getUseBOM [line 220]

`boolean getUseBOM( )`

Get whether BOM should be used

#### Tags:

access: | public

[ Top ]

### method save [line 108]

`void save( [string $pFilename = null])`

Save PHPExcel to file

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Writer_IWriter::save()
  Save PHPExcel to file

#### Parameters:

string | $pFilename |

[ Top ]

### method setDelimiter [line 167]

`PHPExcel_Writer_CSV setDelimiter( [string $pValue = ','])`

Set delimiter

#### Tags:

access: | public

#### Parameters:

string | $pValue | Delimiter, defaults to ,

[ Top ]

### method setEnclosure [line 187]

`PHPExcel_Writer_CSV setEnclosure( [string $pValue = '"'])`

Set enclosure

#### Tags:

access: | public

#### Parameters:

string | $pValue | Enclosure, defaults to "

[ Top ]

### method setExcelCompatibility [line 251]

`PHPExcel_Writer_CSV setExcelCompatibility( [boolean $pValue = false])`

Set whether the file should be saved with full Excel Compatibility

#### Tags:

access: | public

#### Parameters:

boolean | $pValue | Set the file to be written as a fully Excel compatible csv file Note that this overrides other settings such as useBOM, enclosure and delimiter

[ Top ]

### method setLineEnding [line 210]

`PHPExcel_Writer_CSV setLineEnding( [string $pValue = PHP_EOL])`

Set line ending

#### Tags:

access: | public

#### Parameters:

string | $pValue | Line ending, defaults to OS line ending (PHP_EOL)

[ Top ]

### method setPreCalculateFormulas [line 335]

`PHPExcel_Writer_CSV setPreCalculateFormulas( [boolean $pValue = true])`

Set Pre-Calculate Formulas

#### Tags:

access: | public

#### Parameters:

boolean | $pValue | Pre-Calculate Formulas?

[ Top ]

### method setSheetIndex [line 271]

`PHPExcel_Writer_CSV setSheetIndex( [int $pValue = 0])`

Set sheet index

#### Tags:

access: | public

#### Parameters:

int | $pValue | Sheet index

[ Top ]

### method setUseBOM [line 230]

`PHPExcel_Writer_CSV setUseBOM( [boolean $pValue = false])`

Set whether BOM should be used

#### Tags:

access: | public

#### Parameters:

boolean | $pValue | Use UTF-8 byte-order mark? Defaults to false

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:36 +0200 by phpDocumentor 1.4.4